Bug 15055 - Segfault for certain custom linetypes
Segfault for certain custom linetypes
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Graphics
R 2.15.1 patched
All All
: P5 normal
Assigned To: R-core
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-22 09:31 UTC by Barry Rowlingson
Modified: 2012-09-23 23:34 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Barry Rowlingson 2012-09-22 09:31:23 UTC
First reported on stackoverflow:

http://stackoverflow.com/questions/12539594/why-sometimes-segfault-in-r-when-specifying-custom-linetypes

plot.new()
abline(0.1,0,lty='28282383') # works
abline(0.2,0,lty='83282823') # works
abline(0.3,0,lty='28238328') # segfault
abline(0.4,0,lty='23832828') # segfault

so I got the latest R-patched:

version.string R version 2.15.1 Patched (2012-09-21 r60773)

and can reproduce the bug but only with the default X11 graphics window which uses cairo. X11(type="Xlib") works, as does pdf().
Comment 1 Paul Murrell 2012-09-23 23:34:23 UTC
Fixed in r-devel r 60791